Loading...
Searching...
No Matches
magma_task Class Referenceabstract
Internal routines » Thread management

Super class for tasks used with magma_thread_queue. More...

`#include <thread_queue.hpp>`

Inheritance diagram for magma_task:

## Detailed Description

Super class for tasks used with magma_thread_queue.

Each task should sub-class this and implement the run() method.

The documentation for this class was generated from the following file:

- /build/magma-rocm-tAGwnH/magma-rocm-2.9.0+ds/control/thread_queue.hpp